import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color; 
import java.awt.Font;  
/**
 * Gezeichnete Gegenstände werden in dieser Klasse verwaltet
 * 
 * @author Marek Parucha
 * @version 2.0_29.03.2014
 */
public class Drawing extends Actor
{
    Color currentColor; //die verwendete Farbe
    GreenfootImage drawingStringIMG; // String der in einer Image gespeichert werden soll
    GreenfootImage distanceOval;//Der schwarze Rand des Kreises
    GreenfootImage distanceOvalTransparency;//die Transparente Farbe des Kreises
    int towerDistanceDrawing;//Der Radius des Kreises
    int stringType;
    String drawingString; // String der in 'GreenfootImage drawingStringIMG' gespeichert werden soll
    boolean monsterIsIntersecting = false; // falls true --> ein Monster ist im Radius der Towers
    Towers tower; //zugehöriger Tower des kreises
    int fontSize;

    
    
    
    /**
     * act() Methode regelt die aktualisierung der Bilder
     */
    public void act() 
    {
    
    }


    /**
     * erstellt einen Kreis eines bestimmten Radiuses und aktualisiert ihn ebenfalls
     */
    public void makeRadius(Color color)
    {
        distanceOval.setColor(java.awt.Color.BLACK);
        distanceOval.drawOval(0,0,towerDistanceDrawing*2,towerDistanceDrawing*2);
        distanceOval.setTransparency(255);
        distanceOvalTransparency.setColor(color);
        distanceOvalTransparency.fillOval(0,0,towerDistanceDrawing*2,towerDistanceDrawing*2);
        distanceOvalTransparency.setTransparency(50);
        setImage(distanceOvalTransparency);
        getImage().drawImage(distanceOval,0,0); 
    }
    /**
     * erstellt einen sichtbaren Text und aktualisiert ihn ebenfalls
     */
    public void makeString(String string, Color color)
    {
        
        drawingStringIMG.clear();
        drawingStringIMG=new GreenfootImage(string, fontSize,color, new Color(0, 0, 0, 0));
        setImage(drawingStringIMG);
    }
        
        
        
}
